classification
Title: Update to latest ElementTree in Python 2.7
Type: enhancement Stage:
Components: XML Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Update ElementTree with upstream changes
View: 6472
Assigned To: effbot Nosy List: benjamin.peterson, effbot, flox, georg.brandl, pitrou, rhettinger, thijs
Priority: normal Keywords: patch

Created on 2007-09-11 06:13 by effbot, last changed 2009-12-07 11:11 by pitrou. This issue is now closed.

Messages (10)
msg55811 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2007-09-11 06:13
The xml.etree package should be updated to ElementTree 1.3/cElementTree
1.0.6 (or later).
msg76994 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-12-05 09:36
I guess this is now an item for Python 2.7.
msg83555 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-03-14 00:59
This could be a nice addition to the next 3.1 alphas/betas.
msg83589 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-03-14 15:30
Well, sure, but I'm not going to do it. :)
msg83590 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-03-14 15:47
I was silently suggesting that you could add it to the release PEP :-)
msg83591 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-03-14 15:50
2009/3/14 Antoine Pitrou <report@bugs.python.org>:
>
> Antoine Pitrou <pitrou@free.fr> added the comment:
>
> I was silently suggesting that you could add it to the release PEP :-)

Wow, I'm really not getting the subtle hints today.
msg85281 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2009-04-02 23:59
ET 1.3 is still in alpha, though.  Hopefully, that'll sort itself out
over the next few weeks.
msg85284 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-04-03 00:29
I'm looking forward to it.
Thanks F/
msg87615 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-05-12 11:28
Fredrik, will this be able to go in before 3.1rc1?
msg96044 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2009-12-07 08:27
Patch proposed with latest versions:
 * ElementTree 1.3a3-20070912
 * cElementTree 1.0.6-20090110

Attached to issue6472.
History
Date User Action Args
2009-12-07 11:11:13pitrousetstatus: open -> closed
resolution: duplicate
superseder: Update ElementTree with upstream changes
2009-12-07 08:28:13floxsetfiles: - issue1143_ET13_cET106.diff
2009-12-07 08:27:55floxsetfiles: + issue1143_ET13_cET106.diff

nosy: + flox
messages: + msg96044

keywords: + patch
2009-09-23 18:30:22thijssetnosy: + thijs
2009-06-06 11:22:40pitrousetversions: + Python 3.2, - Python 3.1
2009-05-12 11:28:16pitrousetmessages: + msg87615
2009-04-03 00:29:53rhettingersetnosy: + rhettinger
messages: + msg85284
2009-04-02 23:59:11effbotsetmessages: + msg85281
2009-03-14 15:50:14benjamin.petersonsetmessages: + msg83591
2009-03-14 15:47:40pitrousetmessages: + msg83590
2009-03-14 15:30:12benjamin.petersonsetmessages: + msg83589
2009-03-14 00:59:15pitrousetnosy: + pitrou, benjamin.peterson

messages: + msg83555
versions: + Python 3.1
2008-12-05 09:36:19georg.brandlsetnosy: + georg.brandl
title: Update to latest ElementTree in Python 2.6 -> Update to latest ElementTree in Python 2.7
messages: + msg76994
versions: + Python 2.7, - Python 2.6
2007-09-11 06:14:17effbotsettitle: Updated to latest ElementTree in 2.6 -> Update to latest ElementTree in Python 2.6
2007-09-11 06:13:45effbotlinkissue1602189 superseder
2007-09-11 06:13:15effbotcreate